Bug 184838 - science/silo: Update to version 4.9.1
Summary: science/silo: Update to version 4.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-16 18:10 UTC by tkato432
Modified: 2013-12-18 23:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.76 KB, patch)
2013-12-16 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-16 18:10:09 UTC
- Update to version 4.9.1
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-12-17 20:32:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 Danilo Egea Gondolfo freebsd_committer 2013-12-18 23:28:29 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2013-12-18 23:30:52 UTC
Author: danilo
Date: Wed Dec 18 23:27:40 2013
New Revision: 336861
URL: http://svnweb.freebsd.org/changeset/ports/336861

Log:
  - Update from 4.9 to 4.9.1
  - Convert USE_GMAKE to USES
  - Add stage support
  - Convert LIB_DEPENDS to new syntax
  
  while here:
  - Convert some "if's" to options helpers
  
  PR:		ports/184838
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/science/silo/Makefile
  head/science/silo/distinfo
  head/science/silo/pkg-plist

Modified: head/science/silo/Makefile
==============================================================================
--- head/science/silo/Makefile	Wed Dec 18 23:04:24 2013	(r336860)
+++ head/science/silo/Makefile	Wed Dec 18 23:27:40 2013	(r336861)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	silo
-PORTVERSION=	4.9
+PORTVERSION=	4.9.1
 DISTVERSIONSUFFIX=	-bsd
 CATEGORIES=	science
 MASTER_SITES=	https://wci.llnl.gov/codes/${PORTNAME}/silo-${PORTVERSION}/
@@ -18,49 +18,39 @@ OPTIONS_RADIO=	EXCLUSIVE
 OPTIONS_RADIO_EXCLUSIVE=	FORTRAN QT4
 OPTIONS_DEFAULT=	QT4
 
-NO_LATEST_LINK=	yes
+OPTIONS_SUB=	yes
 
-USES=		readline
-USE_GMAKE=	yes
+USES=		gmake readline
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--enable-shared --disable-static
 USE_LDCONFIG=	yes
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
+FORTRAN_CONFIGURE_ENABLE=	fortran
+FORTRAN_USE=			FORTRAN=yes
 
-.if ${PORT_OPTIONS:MFORTRAN}
-USE_FORTRAN=	yes
-.else
-CONFIGURE_ARGS+=	--disable-fortran
-.endif
+PYTHON_CONFIGURE_ENABLE=	pythonmodule
+PYTHON_USE=			PYTHON=yes
+
+QT4_USE=			XORG=xext,xi,xmu,xt \
+				QT4=gui,linguist_build,moc_build,uic_build
+QT4_CONFIGURE_ON=		--with-Qt-dir=${QT_PREFIX} \
+				--with-Qt-lib="QtGui -lQtCore"
+
+.include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MHDF5}
-LIB_DEPENDS+=	hdf5:${PORTSDIR}/science/hdf5
+LIB_DEPENDS+=	libhdf5.so:${PORTSDIR}/science/hdf5
 CONFIGURE_ARGS+=	--with-hdf5=${LOCALBASE}/include,${LOCALBASE}/lib
-PLIST_SUB+=	HDF5="" NOHDF5="@comment "
-.else
-PLIST_SUB+=	HDF5="@comment " NOHDF5=""
-.endif
-
-.if ${PORT_OPTIONS:MPYTHON}
-USE_PYTHON=	yes
-CONFIGURE_ARGS+=	--enable-pythonmodule
-PLIST_SUB+=	PYTHON=""
+PLIST_SUB+=	SUFX_HDF5="h5"
 .else
-PLIST_SUB+=	PYTHON="@comment "
+PLIST_SUB+=	SUFX_HDF5=""
 .endif
 
 .if ${PORT_OPTIONS:MQT4}
-USE_XORG=	xext xi xmu xt
-USE_QT4=	qt3support linguist_build moc_build uic_build
 QT_NONSTANDARD=	yes
-CONFIGURE_ARGS+=	--with-Qt-dir=${QT_PREFIX}
-PLIST_SUB+=	QT4=""
 DESKTOP_ENTRIES="Silex" "Silex browser for Silo files" "" "silex" "" true
 .else
 CONFIGURE_ARGS+=	--disable-silex
-PLIST_SUB+=	QT4="@comment "
 .endif
 
 post-extract:
@@ -86,7 +76,7 @@ post-patch:
 
 .if defined(MAINTAINER_MODE)
 regression-test: build
-	@cd ${WRKSRC}/tests && ${SETENV} ${MAKE_ENV} ${GMAKE} check
+	@cd ${WRKSRC}/tests && ${SETENV} ${MAKE_ENV} ${MAKE_CMD} check
 .endif
 
 .include <bsd.port.mk>

Modified: head/science/silo/distinfo
==============================================================================
--- head/science/silo/distinfo	Wed Dec 18 23:04:24 2013	(r336860)
+++ head/science/silo/distinfo	Wed Dec 18 23:27:40 2013	(r336861)
@@ -1,2 +1,2 @@
-SHA256 (silo-4.9-bsd.tar.gz) = ae82c23345ab2334f9a0f89d7d05d7c99b9489800d9b153c917a40c55577c783
-SIZE (silo-4.9-bsd.tar.gz) = 11993390
+SHA256 (silo-4.9.1-bsd.tar.gz) = 7d19f570309d0c235171e39f5b726abc77a3093227db900a59473b1762e82313
+SIZE (silo-4.9.1-bsd.tar.gz) = 11994742

Modified: head/science/silo/pkg-plist
==============================================================================
--- head/science/silo/pkg-plist	Wed Dec 18 23:04:24 2013	(r336860)
+++ head/science/silo/pkg-plist	Wed Dec 18 23:27:40 2013	(r336861)
@@ -9,9 +9,6 @@ include/silo.h
 include/silo.inc
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/Silo.la
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/Silo.so
-%%NOHDF5%%lib/libsilo.la
-%%NOHDF5%%lib/libsilo.so
-%%NOHDF5%%lib/libsilo.so.0
-%%HDF5%%lib/libsiloh5.la
-%%HDF5%%lib/libsiloh5.so
-%%HDF5%%lib/libsiloh5.so.0
+lib/libsilo%%SUFX_HDF5%%.la
+lib/libsilo%%SUFX_HDF5%%.so
+lib/libsilo%%SUFX_HDF5%%.so.0
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"